---
table_name: packages_build_infos
classes:
- Packages::BuildInfo
feature_categories:
- package_registry
description: Join table relating packages_packages with ci_pipelines
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/19796
milestone: '12.6'
gitlab_schema: gitlab_main_cell
allow_cross_foreign_keys:
- gitlab_main_clusterwide
desired_sharding_key:
  project_id:
    references: projects
    backfill_via:
      parent:
        foreign_key: package_id
        table: packages_packages
        sharding_key: project_id
        belongs_to: package
desired_sharding_key_migration_job_name: BackfillPackagesBuildInfosProjectId
table_size: small
